Subject: Re: Another RFC: regex in libiberty
From: "H . J . Lu" <[email-masked]>
To: Zack Weinberg <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 8 Jun 2001 10:05:32 -0700

On Fri, Jun 08, 2001 at 09:59:32AM -0700, Zack Weinberg wrote:
> 
> The regex.c that came with GDB 4.18, which I think is the one that got
> spread around widely, had a bug in its implementation of the POSIX
> regcomp/regexec interface, which caused a major performance hit.  That
> bug has been fixed in GNU libc for a long time.  When I replaced
> fixincludes' copy of regex.c with a more recent version from glibc,
> fixincludes was sped up by a factor of nine.  That same bug affects
> Sed 3.02 - replace the regex.c it ships with with the one from glibc
> 2.2.x and I bet you'll see better performance.
> 

I have been telling people that you should use regex.c in glibc if
all possible if you are using gnu-regex. Every package which uses
gnu-regex should have a configuration option not to use the included
gnu-regex.

H.J.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple